Package org.apache.lucene.util.automaton

## Class DaciukMihovAutomatonBuilder

- java.lang.Object
- - org.apache.lucene.util.automaton.DaciukMihovAutomatonBuilder

-     @Deprecated
      public final class DaciukMihovAutomatonBuilder
      extends Object

  Deprecated.
  Visibility of this class will be reduced in a future release. Users can access this functionality directly through `Automata.makeStringUnion(Iterable)`
  Builds a minimal, deterministic `Automaton` that accepts a set of strings. The algorithm requires sorted input data, but is very fast (nearly linear with the input size).
  See Also:
    `Automata.makeStringUnion(Iterable)`, `Automata.makeBinaryStringUnion(Iterable)`, `Automata.makeStringUnion(BytesRefIterator)`, `Automata.makeBinaryStringUnion(BytesRefIterator)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `MAX_TERM_LENGTH` | Deprecated. See `Automata.MAX_STRING_UNION_TERM_LENGTH`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Automaton` | `build​(Iterable<BytesRef> input)` | Deprecated. Please see `Automata.makeStringUnion(Iterable)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MAX_TERM_LENGTH

          @Deprecated
          public static final int MAX_TERM_LENGTH

      Deprecated.
      See `Automata.MAX_STRING_UNION_TERM_LENGTH`
      This builder rejects terms that are more than 1k chars long since it then uses recursion based on the length of the string, which might cause stack overflows.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### build

          @Deprecated
          public static Automaton build​(Iterable<BytesRef> input)

      Deprecated.
      Please see `Automata.makeStringUnion(Iterable)` instead
      Build a minimal, deterministic automaton from a sorted list of `BytesRef` representing strings in UTF-8. These strings must be binary-sorted.